Subject: Re: Demo tape duplication
From: John Gross <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Sun, 31 Dec 1995 02:08:52 -0500

>         Does anyone know of a good place that can make multiple copies of my
> soon to be completed demo reel?  My finished demo reel will be about 5 mins
> long and will be on Beta.  I will probably want 25-50 VHS copies, depending
> on cost.  Ideally I'm looking for a company in the state of Michigan, but I
> will go outside the state if the price is right.  I'm looking for low cost!
> Thanks.

You may want to check out Alpha Video. I believe they still do dupes, but 
I don't know what their price is. They're located in Edina, MN... Sorry 
no phone number off top of my head)...

JG